Docs

Call performance: totals, per agent, per day

GEThttps://server.heyrik.com/api/v1/analytics

Headers

AuthorizationstringRequired

Use Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.

Get your API key

Parameters 4

Fields documented for this operation. See the request example for placement and structure.

daysnumber

Window size. Default 30.

fromstring

ISO start (use with until) instead of days.

untilstring

ISO end.

agency_idstring

Narrow to one agent.

GET/analytics
curl "https://server.heyrik.com/api/v1/analytics?days=30" \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
Response example
{
  "data": {
    "days": 30,
    "since": "2026-06-24T10:49:39.297Z",
    "totals": {
      "made": 412, "lifted": 388, "failed": 24,
      "connected": 355, "disconnected": 33,
      "answer_rate": 0.94,
      "avg_talk_sec": 66, "total_talk_sec": 23430,
      "unique_callers": 297,
      "inbound": 210, "outbound": 202
    },
    "by_agent": [
      { "agency_id": "agc_9f2a1c30", "name": "Support Agent", "made": 210, "connected": 190 }
    ],
    "by_day": [ { "date": "2026-07-22", "made": 18, "connected": 16 } ]
  }
}

Illustrative examples · No live request is sent

Docs

Build sophisticated voice experiences with HeyRik.

© 2026 HeyRik · Support